Package be.fgov.ehealth.hubservices.core.v3

# Class ConsentHCPartyType

java.lang.Object
be.fgov.ehealth.hubservices.core.v3.ConsentHCPartyType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:13:03+02:00", comments="JAXB RI v4.0.5") public class ConsentHCPartyType extends Object implements Serializable

Java class for ConsentHCPartyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsentHCPartyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v3}HCPartyIdType"/>
             <element name="signdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="revokedate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsentHCPartyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthorType`
  `getAuthor()`
  Gets the value of the author property.
  `HCPartyIdType`
  `getHcparty()`
  Gets the value of the hcparty property.
  `Instant`
  `getRevokedate()`
  Gets the value of the revokedate property.
  `Instant`
  `getSigndate()`
  Gets the value of the signdate property.
  `void`
  `setAuthor(AuthorType value)`
  Sets the value of the author property.
  `void`
  `setHcparty(HCPartyIdType value)`
  Sets the value of the hcparty property.
  `void`
  `setRevokedate(Instant value)`
  Sets the value of the revokedate property.
  `void`
  `setSigndate(Instant value)`
  Sets the value of the signdate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsentHCPartyType

    public ConsentHCPartyType()

- ## Method Details

  - ### getHcparty

    public HCPartyIdType getHcparty()
    Gets the value of the hcparty property.
    Returns:
      possible object is `HCPartyIdType`

  - ### setHcparty

    public void setHcparty(HCPartyIdType value)
    Sets the value of the hcparty property.
    Parameters:
      `value` - allowed object is `HCPartyIdType`

  - ### getSigndate

    public Instant getSigndate()
    Gets the value of the signdate property.
    Returns:
      possible object is `String`

  - ### setSigndate

    public void setSigndate(Instant value)
    Sets the value of the signdate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRevokedate

    public Instant getRevokedate()
    Gets the value of the revokedate property.
    Returns:
      possible object is `String`

  - ### setRevokedate

    public void setRevokedate(Instant value)
    Sets the value of the revokedate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAuthor

    public AuthorType getAuthor()
    Gets the value of the author property.
    Returns:
      possible object is `AuthorType`

  - ### setAuthor

    public void setAuthor(AuthorType value)
    Sets the value of the author property.
    Parameters:
      `value` - allowed object is `AuthorType`